<template>
  <q-page>
    <div class="row q-col-gutter-sm q-ma-xs">
      <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 ">
        <q-card>
          <q-card-section>
            <q-form
              class="q-gutter-md"
            >
            <q-card-section horizontal>
              <q-item-label class="q-pt-md" style="width:125px">Hari/Tgl</q-item-label>
              <q-item-label class="q-pt-md" caption>
                {{ todaysDate2 }}
              </q-item-label>
            </q-card-section>

            <q-card-section horizontal>
              <q-item-label class="q-pt-md" style="width:125px">Ruangan</q-item-label>
              <q-item-label class="q-pt-md" caption>
                914
              </q-item-label>
            </q-card-section>

            <q-card-section horizontal>
              <q-item-label class="q-pt-md" style="width:125px">Status</q-item-label>
              <div style="max-width: 300px; width:60%">
                <div class="q-gutter-lg">
                  <q-select outlined v-model="model" :options="options" label="Pilih Status" />
                </div>
              </div>
            </q-card-section>
          </q-form>
          </q-card-section>
          <q-card-section class="">
              <div>
                <q-btn label="Konfirmasi" to="profile/edit" type="button" color="primary"/>
              </div>
            </q-card-section>
            
            
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script>
import { date } from 'quasar'
export default {
  name: 'PageIndex',
  data() {
            return {
                user: {
                    foto: 'statics/avatar.jpg',
                    nama_kelas: '42 TRPL',
                    nama_ketua_kelas: 'Bongson Hutagaol',
                    password: '12345678',
                    konfirmasi_password: '12345678'
                },
                model: null,
                options: [
                  'Tidak Hadir', 'Hadir', 'Rescedule'
                ]
            }
        },

   computed: {
    todaysDate(){
      let timeStamp = Date.now()
      return date.formatDate(timeStamp, 'dddd, D MMMM YYYY', {
        days: ['Senin', 'Selasa', 'Rabu', 'Kamis', 'Jumat', 'Sabtu', 'Minggu'],
        daysShort: ['Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab', 'Min'],
        months: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
        monthsShort: ['Jan', 'Feb','Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Ag', 'Sep', 'Okt', 'Nov', 'Des']
      })
    },
    todaysDate2(){
      let timeStamp = Date.now()
      return date.formatDate(timeStamp, 'D MMMM YYYY', {
        days: ['Senin', 'Selasa', 'Rabu', 'Kamis', 'Jumat', 'Sabtu', 'Minggu'],
        daysShort: ['Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab', 'Min'],
        months: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
        monthsShort: ['Jan', 'Feb','Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Ag', 'Sep', 'Okt', 'Nov', 'Des']
      })
    }
  }
}
</script>

<style scoped>

</style>
